Start Browser Auth
POST
/api/v3/auth/browser/start
const url = 'https://example.com/api/v3/auth/browser/start';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"client_name":"genaug-cli","code_challenge":"example","code_challenge_method":"S256","device_name":"example","redirect_uri":"example","scopes":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v3/auth/browser/start \ --header 'Content-Type: application/json' \ --data '{ "client_name": "genaug-cli", "code_challenge": "example", "code_challenge_method": "S256", "device_name": "example", "redirect_uri": "example", "scopes": [ "example" ] }'Start browser auth for a local CLI using PKCE.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
InstallerBrowserStart
CLI request to start browser authentication with PKCE.
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
InstallerBrowserStartResponse
object
authorize_url
required
Authorize Url
string
expires_at
required
Expires At
string format: date-time
request_id
required
Request Id
string
scopes
required
Scopes
Array<string>
Examplegenerated
{ "authorize_url": "example", "expires_at": "2026-04-15T12:00:00Z", "request_id": "example", "scopes": [ "example" ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}